This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 125135 - PCMCIA ISDN card initialization problem...but what is the -exact- problem *sigh*
PCMCIA ISDN card initialization problem...but what is the -exact- problem *sigh*
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 19:18 EDT by David Tonhofer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2004-06-02 19:18:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:

Yet again, something that is hard to pin down:

In pcmcia-cs-3.2.7-1.5:

I have a ELSA ISDN PCMCIA Adapter card. Note that I had to 
add the text strings used in recognizing a PCMCIA card to
/etc/pcmcia/config, because the mattch of the existing entry with
my card was not 100%. Anyway..

The card works nice (see 'workaround' later on). But here is what
happens when I switch on the machine:

1) Kudzu says "Network Card has been removed"...I say: "Do nothing"
   This probably means that the card is not yet visible to the PC
   at that time. 

2) The init process spits outL "Loading ISDN module failed"
   and when setting up eth1: "elsa_cs device does not seem to 
   be present" (sounds normal in view of (1))

3) In KDE, start "Network Device Control". The device "ippp0"
   is visible (I had configured it successfully) but marked as
   'inactive'

4) 'Activate' on that device yields: "Loading ISDN modules:
    Failed"

...one espresso later, the workaround:

1) Go into a shell (CTRL-ALT F1 etc), there just restart the
   PCMCIA services using /etc/rc.d/init.d/pcmcia.
   This spits out:
   "HiSax: if_command 6 called with invalid driveId 0!"

2) But /var/lib/pcmcia/stab correctly lists the card and cardctl
   sees it to. 

3) Back to KDE, 'activate' the ippp0 again...WORKS!

4) However, ippp0 is still marked as 'inactive'. Do I care? I
   can connect and log this bug!

So, looks like a problem for which it is possibly easier to 
wait for it to go away by itself.

How reproducible:
Always

Actual Results:  PCMCIA ISDN card not initialized by PCMCIA services
at boot time.

Expected Results:  PCMCIA ISDN card should be initialized by PCMCIA
services at boot time.
Comment 1 David Tonhofer 2004-06-02 19:30:20 EDT
Woah, sorry I forget to add my modifications to /etc/pcmcia/config:

Existing:

card "Elsa ISDN Adapter"
  version "ELSA GmbH, Aachen", "MicroLink ISDN/MC ", "*"
  bind "elsa_cs"

Added:

card "Elsa ISDN Adapter"
  version "ELSA AG (Aachen, Germany)", "MicroLink ISDN/MC ", "*"
  bind "elsa_cs"

...and, yes, it *IS* an ooold card: PRODID_3="14.05.1998"...
Comment 2 Matthew Miller 2005-04-26 11:58:12 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-25 15:31:39 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.


Note You need to log in before you can comment on or make changes to this bug.